[gitec] RES: Sapl3.1 docker

Edward de Oliveira Ribeiro edwardr em senado.leg.br
Sábado Setembro 16 07:58:33 BRT 2017


Esse parece ser um problema instalação do Docker. Qual a versão do Linux que esta instalada aí? 

Vc tentou rodar sudo docker-compose up ?

________________________________________
De: gitec-bounces em listas.interlegis.gov.br [gitec-bounces em listas.interlegis.gov.br] em nome de Marcio Vilas Boas [marcio em divinopolis.mg.leg.br]
Enviado: sexta-feira, 15 de setembro de 2017 16:00
Para: Grupo Interlegis de Tecnologia; Fábio Kaiser Rauber
Assunto: Re: [gitec] Sapl3.1 docker

Fabio,

O erro sumiu com o False, porém tem que manter aspas simples.

Um problema maior é que não consigo mais fazer o download, mesmo depois de muitas tentavias. Tanto para o SAPL quanto para o PM3 parou.

Veja o andamento disso e observe que pára sempre no mesmo lugar.

curl -L https://github.com/docker/compose/releases/download/1.13.0/docker-compose-`uname -s`-`uname -m` > /usr/local/bin/docker-compose

  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   617    0   617    0     0     63      0 --:--:--  0:00:09 --:--:--   144
100 8079k  100 8079k    0     0   286k      0  0:00:28  0:00:28 --:--:--  982k


Consequentemente, quando rodo docker-compose up -d a mesma msg de instalação aparece:

ERROR: Couldn't connect to Docker daemon. You might need to install Docker:

https://docs.docker.com/engine/installation/


att,


Em 15/09/2017 15:14, Fábio Kaiser Rauber escreveu:

Márcio,

O Edward me apontou que, como USE_TLS e DEBUG são booleanos do Python, eles devem começar com letra maiúscula: False. Corrigi no tutorial, esta deve ser a razão correta do erro que você visualizou.

Atenciosamente,

Fabio Kaiser Rauber
Analista de Informática Legislativa
Serviço de Infraestrutura Tecnológica
Interlegis - Senado Federal

www.interlegis.leg.br<http://www.interlegis.leg.br>

Em 15-09-2017 10:13, Fábio Kaiser Rauber escreveu:

Prezado Márcio,

Tente colocar o false entre aspas simples: 'false'. Se funcionar, nos avise para que possamos modificar no COLAB.

Atenciosamente,

Fabio Kaiser Rauber
Analista de Informática Legislativa
Serviço de Infraestrutura Tecnológica
Interlegis - Senado Federal

www.interlegis.leg.br<http://www.interlegis.leg.br>

Em 14-09-2017 16:52, Marcio Vilas Boas escreveu:

Fábio, sabe qual  o motivo desse erro ao rodar docker-compose up -d   ?

Copiei o yml da página, não achei para baixar, como tem do PM3. USE_TLS está mesmo como false

ERROR: The Compose file './docker-compose.yml' is invalid because:
sapl.environment.USE_TLS contains false, which is an invalid type, it should be a string, number, or a null

att,


Márcio Vilas Boas
Diretoria de Informática
CM - Divinópolis - MG
(37) 2102-8236









--


Márcio Vilas Boas
Diretoria de Informática
CM - Divinópolis - MG
(37) 2102-8236



Mais detalhes sobre a lista de discussão GITEC